Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.prefix
Class AbstractPrefixTreeFilter.BaseTermsEnumTraverser

    java.lang.Object
      org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter.BaseTermsEnumTraverser

Direct Known Subclasses:
  AbstractVisitingPrefixTreeFilter.VisitorTemplate

Enclosing class:
  AbstractPrefixTreeFilter

    public abstract class AbstractPrefixTreeFilter.BaseTermsEnumTraverser

extends Object

Holds transient state and docid collecting utility methods as part of traversing a `TermsEnum`.

Field Summary
`protected Bits` | `acceptDocs`
`protected AtomicReaderContext` | `context`
`protected DocsEnum` | `docsEnum`
`protected int` | `maxDoc`
`protected TermsEnum` | `termsEnum`

Constructor Summary
`AbstractPrefixTreeFilter.BaseTermsEnumTraverser(AtomicReaderContext context, Bits acceptDocs)`

Method Summary
`protected void` | `collectDocs(FixedBitSet bitSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected final AtomicReaderContext context

### acceptDocs

    protected Bits acceptDocs

### maxDoc

    protected final int maxDoc

### termsEnum

    protected TermsEnum termsEnum

### docsEnum

    protected DocsEnum docsEnum

Constructor Detail

### AbstractPrefixTreeFilter.BaseTermsEnumTraverser

    public AbstractPrefixTreeFilter.BaseTermsEnumTraverser(AtomicReaderContext context,
                                                           Bits acceptDocs)
                                                    throws IOException

Throws:
  `IOException`

Method Detail

### collectDocs

    protected void collectDocs(FixedBitSet bitSet)
                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.